Wt: Wt::WLineF Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Wt::WLineF Class Reference
Painting system

Utility class that defines a single line. More...

`#include <Wt/WLineF>`

List of all members.

## Public Member Functions
| WLineF ()
| Default constructor.
| WLineF (const WPointF &p1, const WPointF &p2)
| Construct a line connecting two points.
| WLineF (double x1, double y1, double x2, double y2)
| Construct a line connecting two points.
double | x1 () const
| Returns the X coordinate of the first point.
double | y1 () const
| Returns the Y coordinate of the first point.
double | x2 () const
| Returns the X coordinate of the second point.
double | y2 () const
| Returns the Y coordinate of the second point.
WPointF | p1 () const
| Returns the first point.
WPointF | p2 () const
| Returns the second point.

## Detailed Description

Utility class that defines a single line.

## Constructor & Destructor Documentation

Wt::WLineF::WLineF | ( |  | ) |

Default constructor.

Constructs a line from (x1=0,y1=0) to (x2=0,`y2=0`).

Wt::WLineF::WLineF | ( | const WPointF & | p1,
|  | const WPointF & | p2
| ) |  |

Construct a line connecting two points.

Constructs a line from p1 to `p2`.

Wt::WLineF::WLineF | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  |

Construct a line connecting two points.

Constructs a line from (x1,y1) to (x2,`y2`).

## Member Function Documentation

WPointF Wt::WLineF::p1 | ( |  | ) | const

Returns the first point.

See also:
  x1(), y1()

WPointF Wt::WLineF::p2 | ( |  | ) | const

Returns the second point.

See also:
  x2(), y2()

double Wt::WLineF::x1 | ( |  | ) | const

Returns the X coordinate of the first point.

See also:
  y1(), p1()

double Wt::WLineF::x2 | ( |  | ) | const

Returns the X coordinate of the second point.

See also:
  y2(), p2()

double Wt::WLineF::y1 | ( |  | ) | const

Returns the Y coordinate of the first point.

See also:
  x1(), p1()

double Wt::WLineF::y2 | ( |  | ) | const

Returns the Y coordinate of the second point.

See also:
  x2(), p2()

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator